package com.yihu.hos.camel;

/**
 * Created by lingfeng on 2016/8/25.
 */
public class GetClassTest {

    public static void main(String[] args) throws Exception {
        RouteClassBuilder routeClassBuilder = new RouteClassBuilder();
        routeClassBuilder.setClassName("Test");
        routeClassBuilder.setPackageName("test");
        String xml = "<camelContext id=\"camel\" xmlns=\"http://camel.apache.org/schema/spring\">\n" +
                "        <route id=\"test\">\n" +
                "            <from uri=\"quartz://myGroup/myTimerName?cron=0/3 * * * * ?\"/>\n" +
                "            <to uri=\"http://localhost:9999/json\"/>\n" +
                "            <to uri=\"stream:out\"/>\n" +
                "        </route>\n" +
                "    </camelContext>";
        routeClassBuilder.setConfigureXml(xml);
        routeClassBuilder.generator();
    }
}
